Страница 1 из 2 12 ПоследняяПоследняя
Показано с 1 по 10 из 20

Тема: Alt PHP в режимах модуля Apache

  1. #1
    Member
    Регистрация
    05.05.2009
    Сообщений
    57

    Question Alt PHP в режимах модуля Apache

    Доброго дня, в ISPmanager Lite v.5.89 появилась возможность:



    только не понятно как использовать в этом режиме, возможность не активна (Debian v.8.7):





    Хотелось бы уточнений.

    Упс, разобрался, настраивается в возможностях:

    Последний раз редактировалось Sea; 25.01.2017 в 17:31.

  2. #2
    Banned
    Регистрация
    01.07.2015
    Сообщений
    77

    По умолчанию

    Да, Вам нужно было поставить модуль php7.0 для apache. Учтите, что вы выбираете версию php для модуля apache на весь сервер.

  3. #3
    Member
    Регистрация
    05.05.2009
    Сообщений
    57

    По умолчанию

    Да, я это понял, прочитав в документации.

  4. #4
    Senior Member
    Регистрация
    22.06.2012
    Сообщений
    160

    По умолчанию

    Цитата Сообщение от d.kievskiy Посмотреть сообщение
    Да, Вам нужно было поставить модуль php7.0 для apache. Учтите, что вы выбираете версию php для модуля apache на весь сервер.
    Весьма сомнительное нововведение. Например, стоит нативно php 5.6, какой-то пользователь захотел для сайта 5.3 - в итоге глобально для всех становится 5.3 ??? В чем профит?
    Да, для php-fpm это еще терпимо, поскольку изменения касаются только конкретного пользователя. Но гибкость пропадает, так-как на тормозном CGI-е можно хотя бы для каждого сайта крутить версии, а теперь
    так нельзя будет. Почему бы лучше не прикрутить mod_lsapi, как тут уже не раз упоминали...
    Последний раз редактировалось 20awesome; 26.01.2017 в 18:48.

  5. #5
    Senior Member Аватар для Армаэль
    Регистрация
    22.03.2015
    Адрес
    Москва
    Сообщений
    288

    По умолчанию

    Профит в том, что если ось не вау, например где натив 5.3, и чтобы не поломать нечего шаловливыми рученками и хотелками, например, 7рки - безболезненно её воткнуть.

  6. #6
    Banned
    Регистрация
    01.07.2015
    Сообщений
    77

    По умолчанию

    Цитата Сообщение от 20awesome Посмотреть сообщение
    Весьма сомнительное нововведение. Например, стоит нативно php 5.6, какой-то пользователь захотел для сайта 5.3 - в итоге глобально для всех становится 5.3 ??? В чем профит?
    Да, для php-fpm это еще терпимо, поскольку изменения касаются только конкретного пользователя. Но гибкость пропадает, так-как на тормозном CGI-е можно хотя бы для каждого сайта крутить версии, а теперь
    так нельзя будет. Почему бы лучше не прикрутить mod_lsapi, как тут уже не раз упоминали...
    Для режима работы php как CGI и FastCGI(apache) все работает по старому. Можно свою версию php на каждый домен задать. Просто еще добавлена возможность выбора версии php для режима работы php-fpm и для apache.

  7. #7
    Senior Member
    Регистрация
    22.06.2012
    Сообщений
    160

    По умолчанию

    Цитата Сообщение от d.kievskiy Посмотреть сообщение
    Для режима работы php как CGI и FastCGI(apache) все работает по старому. Можно свою версию php на каждый домен задать. Просто еще добавлена возможность выбора версии php для режима работы php-fpm и для apache.
    Ну так для апача можно только одну версию в режиме модуля выбрать, и не 3-4 одновременно. Как мне php в режиме модуля апача для разных версий использовать?

  8. #8
    Senior Member
    Регистрация
    09.04.2013
    Адрес
    Москва
    Сообщений
    2,066

    По умолчанию

    никак

  9. #9
    Senior Member
    Регистрация
    22.06.2012
    Сообщений
    160

    По умолчанию

    Цитата Сообщение от Mobiaaa Посмотреть сообщение
    никак
    Тогда какой был смысл этого нововведения?..

  10. #10
    Senior Member
    Регистрация
    09.04.2013
    Адрес
    Москва
    Сообщений
    2,066

    По умолчанию

    смысл нововведения - уменьшить количество тем "как сменить нативную версию на более новую, при этом ничего не сломав в панели" (моё личное мнение)

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •